Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::Renderer Class Reference

Renderer. More...

`#include <Renderer.h>`

List of all members.

## Public Member Functions

bool | shutdown ()
| Shutdown, free all resources.
bool | bindStream (EGLStreamKHR eglStream)
| Bind an EGL stream.
bool | unbindStream (EGLStreamKHR eglStream)
| Unbind a bound EGL stream.
bool | setStreamActive (EGLStreamKHR eglStream, bool active)
| Set the active state of the stream, only active streams are rendered.
bool | setStreamAspectRatio (EGLStreamKHR eglStream, float aspectRatio)
| Set the stream aspect ratio.
EGLDisplay | getEGLDisplay ()
| Get the EGL display.
const GLContext & | getComposerContext () const
| Get the composer EGL context.
bool | reCompose ()
| Trigger a re-compose.

## Static Public Member Functions

static Renderer & | getInstance ()
| Get the window instance.

## Private Member Functions

| Renderer ()
| ~Renderer ()
| Renderer (const Renderer &)
Renderer & | operator= (const Renderer &)
bool | initialize ()

## Private Attributes

bool | m_initialized
| set if initialized
EGLDisplayHolder | m_display
| EGL display.
Composer | m_composer
| the composer renders streams

## Detailed Description

Renderer.

Provide functions to create/destroy EGL streams and display them.

Definition at line 41 of file Renderer.h.

## Constructor & Destructor Documentation

ArgusSamples::Renderer::Renderer | ( |  | ) |

private

Definition at line 38 of file Renderer.cpp.

ArgusSamples::Renderer::~Renderer | ( |  | ) |

private

Definition at line 43 of file Renderer.cpp.

ArgusSamples::Renderer::Renderer | ( | const Renderer & |  | ) |

private

## Member Function Documentation

bool ArgusSamples::Renderer::bindStream | ( | EGLStreamKHR | eglStream | ) |

Bind an EGL stream.

Parameters:

  eglStream | [in]

Definition at line 97 of file Renderer.cpp.

const GLContext& ArgusSamples::Renderer::getComposerContext | ( |  | ) | const

inline

Get the composer EGL context.

Definition at line 98 of file Renderer.h.

EGLDisplay ArgusSamples::Renderer::getEGLDisplay | ( |  | ) |

inline

Get the EGL display.

Definition at line 87 of file Renderer.h.

Renderer & ArgusSamples::Renderer::getInstance | ( |  | ) |

static

Get the window instance.

Definition at line 49 of file Renderer.cpp.

bool ArgusSamples::Renderer::initialize | ( |  | ) |

private

Definition at line 70 of file Renderer.cpp.

Renderer& ArgusSamples::Renderer::operator= | ( | const Renderer & |  | ) |

private

bool ArgusSamples::Renderer::reCompose | ( |  | ) |

Trigger a re-compose.

Called when new images arrived in a stream.

Definition at line 121 of file Renderer.cpp.

bool ArgusSamples::Renderer::setStreamActive | ( | EGLStreamKHR | eglStream,
|  | bool | active
| ) |  |

Set the active state of the stream, only active streams are rendered.

Parameters:

  eglStream | [in]
  active | [in]

Definition at line 109 of file Renderer.cpp.

bool ArgusSamples::Renderer::setStreamAspectRatio | ( | EGLStreamKHR | eglStream,
|  | float | aspectRatio
| ) |  |

Set the stream aspect ratio.

Parameters:

  eglStream | [in]
  aspectRatio | [in] aspect ration of the images transported by the stream

Definition at line 115 of file Renderer.cpp.

bool ArgusSamples::Renderer::shutdown | ( |  | ) |

Shutdown, free all resources.

Definition at line 84 of file Renderer.cpp.

bool ArgusSamples::Renderer::unbindStream | ( | EGLStreamKHR | eglStream | ) |

Unbind a bound EGL stream.

Parameters:

  eglStream | [in]

Definition at line 103 of file Renderer.cpp.

## Member Data Documentation

Composer ArgusSamples::Renderer::m_composer

private

the composer renders streams

Definition at line 122 of file Renderer.h.

EGLDisplayHolder ArgusSamples::Renderer::m_display

private

EGL display.

Definition at line 120 of file Renderer.h.

bool ArgusSamples::Renderer::m_initialized

private

set if initialized

Definition at line 118 of file Renderer.h.

The documentation for this class was generated from the following files:

- renderer/Renderer.h
- renderer/Renderer.cpp